#!/usr/bin/python

# Converts an imagemap generated by https://www.image-map.net/ into a MediWiki one

import re
import sys

#<img src="https://glaxverse.dragon.best/media//1/1e/Dragon-Lands.jpg" usemap="#image-map">
re_image = re.compile("<img src=.*/([^/\"']+)")
#<area target="" alt="" title="" href="Verros River" coords="668,2827" shape="poly">
re_area = re.compile('.*<area.*title="(?P<title>[^"]*)".*href="(?P<href>[^"]*)".*coords="(?P<coords>[^"]*)".*shape="(?P<shape>[^"]*)')


print("<imagemap>")


with open(sys.argv[1]) as file:
    for line in file:
        m = re_image.match(line)
        if m:
            print("Image:%s" % m.group(1))
            break
    for line in file:
        m = re_area.match(line)
        if m:
            link = m.group("href")
            if m.group("title"):
                link += "|" + m.group("title")
            print("%s %s [[%s]]" % (m.group("shape"), m.group("coords").replace(",", " "), link))

print("</imagemap>")

#Image:PolierMartinWombwellZoffany.jpg|thumb|200px|Colonel Antoine Polier
#rect 269 140 344 305 [[Claude Martin]]
#rect 124 147 181 298 [[Antoine Polier|Antoine-Louis Polier]]
#desc none
#</imagemap>)
